.ant-drawer {
    position: fixed;
    z-index: 1000;
    width: 0;
    height: 100%
}

.ant-drawer > * {
    -webkit-transition: -webkit-transform .3s cubic-bezier(.9, 0, .3, .7), -webkit-box-shadow .3s cubic-bezier(.9, 0, .3, .7);
    transition: -webkit-transform .3s cubic-bezier(.9, 0, .3, .7), -webkit-box-shadow .3s cubic-bezier(.9, 0, .3, .7);
    transition: transform .3s cubic-bezier(.9, 0, .3, .7), box-shadow .3s cubic-bezier(.9, 0, .3, .7);
    transition: transform .3s cubic-bezier(.9, 0, .3, .7), box-shadow .3s cubic-bezier(.9, 0, .3, .7), -webkit-transform .3s cubic-bezier(.9, 0, .3, .7), -webkit-box-shadow .3s cubic-bezier(.9, 0, .3, .7)
}

.ant-drawer-content-wrapper {
    position: fixed
}

.ant-drawer .ant-drawer-content {
    width: 100%;
    height: 100%
}

.ant-drawer-left, .ant-drawer-right {
    top: 0;
    width: 0;
    height: 100%
}

.ant-drawer-left .ant-drawer-content-wrapper, .ant-drawer-right .ant-drawer-content-wrapper {
    height: 100%
}

.ant-drawer-left.ant-drawer-open, .ant-drawer-right.ant-drawer-open {
    width: 100%
}

.ant-drawer-left.ant-drawer-open.no-mask, .ant-drawer-right.ant-drawer-open.no-mask {
    width: 0
}

.ant-drawer-left.ant-drawer-open .ant-drawer-content-wrapper {
    -webkit-box-shadow: 2px 0 8px rgba(0, 0, 0, .15);
    box-shadow: 2px 0 8px rgba(0, 0, 0, .15)
}

.ant-drawer-right, .ant-drawer-right .ant-drawer-content-wrapper {
    right: 0
}

.ant-drawer-right.ant-drawer-open .ant-drawer-content-wrapper {
    -webkit-box-shadow: -2px 0 8px rgba(0, 0, 0, .15);
    box-shadow: -2px 0 8px rgba(0, 0, 0, .15)
}

.ant-drawer-bottom, .ant-drawer-top {
    left: 0;
    width: 100%;
    height: 0%
}

.ant-drawer-bottom .ant-drawer-content-wrapper, .ant-drawer-top .ant-drawer-content-wrapper {
    width: 100%
}

.ant-drawer-bottom.ant-drawer-open, .ant-drawer-top.ant-drawer-open {
    height: 100%
}

.ant-drawer-bottom.ant-drawer-open.no-mask, .ant-drawer-top.ant-drawer-open.no-mask {
    height: 0%
}

.ant-drawer-top {
    top: 0
}

.ant-drawer-top.ant-drawer-open .ant-drawer-content-wrapper {
    -webkit-box-shadow: 0 2px 8px rgba(0, 0, 0, .15);
    box-shadow: 0 2px 8px rgba(0, 0, 0, .15)
}

.ant-drawer-bottom, .ant-drawer-bottom .ant-drawer-content-wrapper {
    bottom: 0
}

.ant-drawer-bottom.ant-drawer-open .ant-drawer-content-wrapper {
    -webkit-box-shadow: 0 -2px 8px rgba(0, 0, 0, .15);
    box-shadow: 0 -2px 8px rgba(0, 0, 0, .15)
}

.ant-drawer.ant-drawer-open .ant-drawer-mask {
    height: 100%;
    opacity: .3;
    -webkit-transition: none;
    transition: none;
    -webkit-animation: antdDrawerFadeIn .3s cubic-bezier(.7, .3, .1, 1);
    animation: antdDrawerFadeIn .3s cubic-bezier(.7, .3, .1, 1)
}

.ant-drawer-title {
    margin: 0;
    color: rgba(0, 0, 0, .85);
    font-weight: 500;
    font-size: 16px;
    line-height: 22px
}

.ant-drawer-content {
    position: relative;
    z-index: 1;
    background-color: #fff;
    background-clip: padding-box;
    border: 0
}

.ant-drawer-close {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 10;
    display: block;
    width: 56px;
    height: 56px;
    padding: 0;
    color: rgba(0, 0, 0, .45);
    font-weight: 700;
    font-size: 16px;
    font-style: normal;
    line-height: 56px;
    text-align: center;
    text-transform: none;
    text-decoration: none;
    background: transparent;
    border: 0;
    outline: 0;
    cursor: pointer;
    -webkit-transition: color .3s;
    transition: color .3s;
    text-rendering: auto
}

.ant-drawer-close:focus, .ant-drawer-close:hover {
    color: rgba(0, 0, 0, .75);
    text-decoration: none
}

.ant-drawer-header {
    position: relative;
    padding: 16px 24px;
    border-bottom: 1px solid #e8e8e8;
    border-radius: 4px 4px 0 0
}

.ant-drawer-header, .ant-drawer-header-no-title {
    color: rgba(0, 0, 0, .65);
    background: #fff
}

.ant-drawer-body {
    padding: 24px;
    font-size: 14px;
    line-height: 1.5;
    word-wrap: break-word
}

.ant-drawer-mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 0;
    background-color: rgba(0, 0, 0, .65);
    opacity: 0;
    filter: alpha(opacity=50);
    -webkit-transition: opacity .3s linear, height 0s ease .3s;
    transition: opacity .3s linear, height 0s ease .3s
}

.ant-drawer-open {
    -webkit-transition: -webkit-transform .3s cubic-bezier(.7, .3, .1, 1);
    transition: -webkit-transform .3s cubic-bezier(.7, .3, .1, 1);
    transition: transform .3s cubic-bezier(.7, .3, .1, 1);
    transition: transform .3s cubic-bezier(.7, .3, .1, 1), -webkit-transform .3s cubic-bezier(.7, .3, .1, 1)
}

.ant-drawer-open-content {
    -webkit-box-shadow: 0 4px 12px rgba(0, 0, 0, .15);
    box-shadow: 0 4px 12px rgba(0, 0, 0, .15)
}